Bug 209520 - [labeled networking] kernel change needed to audit xfrm/ipsec security policy changes
[labeled networking] kernel change needed to audit xfrm/ipsec security policy...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Brian Brock
:
Depends On:
Blocks: 208884
  Show dependency treegraph
 
Reported: 2006-10-05 15:07 EDT by Eric Paris
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 06:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2006-10-05 15:07:27 EDT
xfrm/ipsec security policy changes can currently only be audited through
auditallow rules.  These have been deemed inadequate and seperate kernel
auditing is required.
Comment 1 Linda Wang 2006-11-10 12:38:16 EST
Request blocker, required by LSPP.
Comment 2 Jay Turner 2006-11-21 13:50:34 EST
Has the code been submitted to rhkernel-list?
Comment 3 Eric Paris 2006-11-21 14:07:10 EST
no it has not.  The first upstream patch which appears to address all of the
upstream concerns to this point just was sent yesterday (Nov 20) evening.  I
will be building an LSPP kernel with this patch and sending it to the community.
 I would not expect a rhkernel-list submission for at least another couple
weeks.  Until we get good feedback.
Comment 4 Jay Turner 2006-12-01 15:33:37 EST
QE ack for RHEL5.
Comment 5 Eric Paris 2006-12-18 15:49:05 EST
posted to kernel list Dec 18
Comment 6 Don Zickus 2007-01-02 20:06:37 EST
in 2.6.18-1.2943.el5
Comment 7 Jay Turner 2007-01-23 06:19:04 EST
Patches confirmed in 2.6.18-4.el5.

Note You need to log in before you can comment on or make changes to this bug.